var slideTimeout = 5000;

$(window).load(function(e) {
    $('.preload').addClass('fade');
});



$(document).ready(function(e) {
    forumPost();
	scrollContent();
	eventTab();
	slides();
	autoSlide();


	$('.server').each(function(i, el) {
   		$(el).find('.load-line').css('width',$(el).attr('online')/100*100+'%');     
    });

	$('.donate-line').each(function(i, el) {
        $(el).css('height',$(el).attr('percent')+'%');
    });
	


	$('.overlay, .close').click(function(e) {
        $('.popup, .overlay').removeClass('active');
        stopVideo();
        $.each($('audio'), function () {
            $(this).stop();
        });
    });
	
});

function showPopup(el) {
	$('.popup.'+el).css('top',$(document).scrollTop()+200);
	$('.overlay, .popup.'+el).addClass('active');
}


function forumPost() {
	if($('#lastpost .post').length > 4) {
		$('#lastpost .all-posts').after('<ul class="pagination"><li class="prev"></li><li class="active"></li><li class="next"></li></ul>');	
	}
	
	if($('#lastpost .post').length/2 >= 2) {
		var i = 2;
		while(i <= $('#lastpost .post').length/5) {
			$('.pagination li.active').after('<li></li>');
			i++;	
		}
	}
	
	
	
	$('.pagination li.next').click(function(e) {
		
		var n = 1;
		if(!$('.pagination li.active').next().next().is('li')) {
			 n = 0;
			 $('.pagination li').removeClass('active').first().next().addClass('active'); 
		} else {
			n = parseInt($('.pagination li.active').index()*5);
			$('.pagination li.active').removeClass('active').next().addClass('active'); 
		}
		var to  = n+5;
		$('#lastpost .post.active').removeClass('active')
		while(n < to) { 
			$('#lastpost .post:eq('+n+')').addClass('active');
			n++;
		}
    });
	
	$('.pagination li.prev').click(function(e) {
		
		var n = 0;
		if(!$('.pagination li.active').prev().prev().is('li')) {
			 n = $('#lastpost .post').length-5;
			 $('.pagination li').removeClass('active').last().prev().addClass('active'); 
		} else {
			n = parseInt($('.pagination li.active').index()*5)-10;
			$('.pagination li.active').removeClass('active').prev().addClass('active'); 
		}
		var to  = n+5;
		$('#lastpost .post.active').removeClass('active')
		while(n < to) { 
			$('#lastpost .post:eq('+n+')').addClass('active');
			n++;
		}
    });
	
	
	$('.pagination li:not(.prev):not(.next)').click(function(e) {
		$('.pagination li').removeClass('active');
		$(this).addClass('active');
		var n = parseInt($(this).index()*5)-5;
		var to  = n+5;
		$('#lastpost .post.active').removeClass('active')
		while(n < to) { 
			$('#lastpost .post:eq('+n+')').addClass('active');
			n++;
		}
    });
	

	$('#lastpost .post').each(function(i, el) {
        if(i < 5) {
			$(el).addClass('stop-animate').addClass('active');
		}
    });
		
}


function scrollContent() {
	
	if($('.unlim-height').height() > 730) {
		$('#content .holder-content').after('<div id="pager"><ul><li class="prev"></li><li class="active"></li><li class="next"></li></ul></div>');	
	}
	
	if($('.unlim-height').height()/730 >= 1) {
		var i = 1;
		while(i <= $('.unlim-height').height()/730) {
			$('#pager ul li.active').after('<li></li>');
			i++;	
		}
	}
	
	$('#pager li:not(.prev):not(.next)').click(function(e) {
		$('#pager li').removeClass('active');
		$(this).addClass('active');
        $('.unlim-height').css('margin-top',-($(this).index()-1)*730);
		
    });
	
	$('#pager li.next').click(function(e) {
		
		if(!$('#pager li.active').next().next().is('li')) {
			 $('.unlim-height').css('margin-top',0);
			 $('#pager li').removeClass('active').first().next().addClass('active'); 			 
		} else {
			$('#pager li.active').removeClass('active').next().addClass('active'); 
			$('.unlim-height').css('margin-top',-($('#pager li.active').index()-1)*730);
		}
    });
	
	$('#pager li.prev').click(function(e) {
		
		if(!$('#pager li.active').prev().prev().is('li')) {
			 $('.unlim-height').css('margin-top', -($('#pager li:not(.next)').last().index()-1)*730);
			 $('#pager li').removeClass('active').last().prev().addClass('active'); 
			 
		} else {
			$('#pager li.active').removeClass('active').prev().addClass('active'); 
			$('.unlim-height').css('margin-top',-($('#pager li.active').index()-1)*730);
			
		}
    });
		
}

function eventTab() {
	
	$('#events .tabs li').click(function(e) {
		$('#events .tab-content').removeClass('active');
		$('#events .tabs li').removeClass('active');
        $('#events .tab-content.'+$(this).attr('class')).addClass('active');
		$(this).addClass('active');
    }); 
	
	$('#events .tab-content .event').click(function(e) {
		$(this).parent().find('.event').removeClass('active');
        $(this).addClass('active');
    }); 

$('#eventt .tabs li').click(function(e) {
		$('#eventt .tab-content').removeClass('active');
		$('#eventt .tabs li').removeClass('active');
        $('#eventt .tab-content.'+$(this).attr('class')).addClass('active');
		$(this).addClass('active');
    }); 
	
	$('#eventt .tab-content .event').click(function(e) {
		$(this).parent().find('.event').removeClass('active');
        $(this).addClass('active');
    }); 
		
}


function slides() {

    $('.slides').mousemove(function(){
       clearTimeout(timer);
    });

    $('.slides').mouseleave(function(){
        autoSlide();
    });

	$('.slides .next').click(function(e) {
		if($('.slides li.active').next().is('li')) {
        	$('.slides li.active').removeClass('active').next().addClass('active');
		} else {
			$('.slides li').removeClass('active').first().addClass('active');
		}
		clearTimeout(timer);
			autoSlide();
    });	
	$('.slides .prev').click(function(e) {
		if($('.slides li.active').prev().is('li')) {
        	$('.slides li.active').removeClass('active').prev().addClass('active');
		} else {
			$('.slides li').removeClass('active').last().addClass('active');
		}
		clearTimeout(timer);
			autoSlide();
    });	
}

function autoSlide() {
	 timer = setTimeout(function(){
		if($('.slides li.active').next().is('li')) {
			$('.slides li.active').removeClass('active').next().addClass('active');
		} else {
			$('.slides li').removeClass('active').first().addClass('active');

		}
		autoSlide();
	},slideTimeout);
}


var tag = document.createElement('script');
tag.src = "https://www.youtube.com/iframe_api";
var firstScriptTag = document.getElementsByTagName('script')[0];
firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

var player;
function onYouTubeIframeAPIReady() {
    player = new YT.Player('youtube-video', {
        height: '405',
        width: '590',
        videoId: 'fNwBC8l0ijQ'
    });
}
function playVideo() {
    player.playVideo();
}
function stopVideo() {
    player.stopVideo();
}